################################################################################
#
#            !!!!!   Do NOT edit this file directly!   !!!!!
#
#            Edit mktests.PL and/or parts/inc/podtest instead.
#
################################################################################

BEGIN {
  if ($ENV{'PERL_CORE'}) {
    chdir 't' if -d 't';
    @INC = ('../lib', '../ext/Devel/PPPort/t') if -d '../lib' && -d '../ext';
    require Config; import Config;
    use vars '%Config';
    if (" $Config{'extensions'} " !~ m[ Devel/PPPort ]) {
      print "1..0 # Skip -- Perl configured without Devel::PPPort module\n";
      exit 0;
    }
  }
  else {
    unshift @INC, 't';
  }

  sub load {
    eval "use Test";
    require 'testutil.pl' if $@;
  }

  if (0) {
    load();
    plan(tests => 0);
  }
}

use Devel::PPPort;
use strict;
$^W = 1;

my @pods = qw( HACKERS PPPort.pm ppport.h devel/regenerate devel/buildperl.pl );

my $reason = '';

if ($ENV{'SKIP_SLOW_TESTS'}) {
  $reason = 'SKIP_SLOW_TESTS';
}
else {
  # Try loading Test::Pod
  eval q{
    use Test::Pod;
    $Test::Pod::VERSION >= 0.95
        or die "Test::Pod version only $Test::Pod::VERSION";
    import Test::Pod tests => scalar @pods;
  };
  $reason = 'Test::Pod >= 0.95 required' if $@;
}

if ($reason) {
  load();
  plan(tests => scalar @pods);
}

for (@pods) {
  print "# checking $_\n";
  if ($reason) {
    skip("skip: $reason", 0);
  }
  else {
    pod_file_ok($_);
  }
}

